Create a user journey
curl --request POST \
--url https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys \
--header 'Content-Type: application/json' \
--header 'x-coderabbitai-api-key: <api-key>' \
--data '
{
"cuj_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_list_revision": 4503599627370495,
"definition": {
"title": "<string>",
"user": "<string>",
"goal": "<string>",
"tasks": [
"<string>"
],
"assertions": [
"<string>"
],
"tags": [
"<string>"
]
},
"org_id": "<string>"
}
'import requests
url = "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys"
payload = {
"cuj_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_list_revision": 4503599627370495,
"definition": {
"title": "<string>",
"user": "<string>",
"goal": "<string>",
"tasks": ["<string>"],
"assertions": ["<string>"],
"tags": ["<string>"]
},
"org_id": "<string>"
}
headers = {
"x-coderabbitai-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-coderabbitai-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cuj_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_list_revision: 4503599627370495,
definition: {
title: '<string>',
user: '<string>',
goal: '<string>',
tasks: ['<string>'],
assertions: ['<string>'],
tags: ['<string>']
},
org_id: '<string>'
})
};
fetch('https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cuj_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expected_list_revision' => 4503599627370495,
'definition' => [
'title' => '<string>',
'user' => '<string>',
'goal' => '<string>',
'tasks' => [
'<string>'
],
'assertions' => [
'<string>'
],
'tags' => [
'<string>'
]
],
'org_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys"
payload := strings.NewReader("{\n \"cuj_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_list_revision\": 4503599627370495,\n \"definition\": {\n \"title\": \"<string>\",\n \"user\": \"<string>\",\n \"goal\": \"<string>\",\n \"tasks\": [\n \"<string>\"\n ],\n \"assertions\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n },\n \"org_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys")
.header("x-coderabbitai-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"cuj_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_list_revision\": 4503599627370495,\n \"definition\": {\n \"title\": \"<string>\",\n \"user\": \"<string>\",\n \"goal\": \"<string>\",\n \"tasks\": [\n \"<string>\"\n ],\n \"assertions\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n },\n \"org_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cuj_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_list_revision\": 4503599627370495,\n \"definition\": {\n \"title\": \"<string>\",\n \"user\": \"<string>\",\n \"goal\": \"<string>\",\n \"tasks\": [\n \"<string>\"\n ],\n \"assertions\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n },\n \"org_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"journey_id": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Create a user journey
POST
/
v1
/
verify
/
repositories
/
{repository_id}
/
journeys
Create a user journey
curl --request POST \
--url https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys \
--header 'Content-Type: application/json' \
--header 'x-coderabbitai-api-key: <api-key>' \
--data '
{
"cuj_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_list_revision": 4503599627370495,
"definition": {
"title": "<string>",
"user": "<string>",
"goal": "<string>",
"tasks": [
"<string>"
],
"assertions": [
"<string>"
],
"tags": [
"<string>"
]
},
"org_id": "<string>"
}
'import requests
url = "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys"
payload = {
"cuj_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_list_revision": 4503599627370495,
"definition": {
"title": "<string>",
"user": "<string>",
"goal": "<string>",
"tasks": ["<string>"],
"assertions": ["<string>"],
"tags": ["<string>"]
},
"org_id": "<string>"
}
headers = {
"x-coderabbitai-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-coderabbitai-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cuj_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_list_revision: 4503599627370495,
definition: {
title: '<string>',
user: '<string>',
goal: '<string>',
tasks: ['<string>'],
assertions: ['<string>'],
tags: ['<string>']
},
org_id: '<string>'
})
};
fetch('https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cuj_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expected_list_revision' => 4503599627370495,
'definition' => [
'title' => '<string>',
'user' => '<string>',
'goal' => '<string>',
'tasks' => [
'<string>'
],
'assertions' => [
'<string>'
],
'tags' => [
'<string>'
]
],
'org_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys"
payload := strings.NewReader("{\n \"cuj_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_list_revision\": 4503599627370495,\n \"definition\": {\n \"title\": \"<string>\",\n \"user\": \"<string>\",\n \"goal\": \"<string>\",\n \"tasks\": [\n \"<string>\"\n ],\n \"assertions\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n },\n \"org_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys")
.header("x-coderabbitai-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"cuj_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_list_revision\": 4503599627370495,\n \"definition\": {\n \"title\": \"<string>\",\n \"user\": \"<string>\",\n \"goal\": \"<string>\",\n \"tasks\": [\n \"<string>\"\n ],\n \"assertions\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n },\n \"org_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/verify/repositories/{repository_id}/journeys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cuj_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_list_revision\": 4503599627370495,\n \"definition\": {\n \"title\": \"<string>\",\n \"user\": \"<string>\",\n \"goal\": \"<string>\",\n \"tasks\": [\n \"<string>\"\n ],\n \"assertions\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ]\n },\n \"org_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"journey_id": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Path Parameters
Verify registration UUID returned as id by list_verify_repositories; not the provider repository ID.
Body
application/json
Response
OK
Was this page helpful?